Subject: bug#71987: 30.0.60; [PATCH] Document Eshell entry points

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Jul 2024 14:16:12 +0300

> Date: Sun, 7 Jul 2024 21:29:22 -0700
> From: Jim Porter <[email-masked]>
> 
> Recently, I noticed a fairly important thing missing from the Eshell 
> manual: it never actually tells users how to *start* Eshell!

Ouch!

> As there are several ways, I think it would be useful to describe
> all of them.  Patch attached (intended for Emacs 30).

This is fine for emacs-30, thanks.

> +@deffn Command eshell &optional arg
> +Start a new interactive Eshell session, or switch to an already active
> +session.  The exact behavior depends on the value of @var{arg}
> +(interactively, the prefix argument):
> +
> +@table @asis
> +
> +@item @code{nil}
> +Start or switch to the default Eshell session.

This should tell that this is what happens if the user types just
@kbd{M-x eshell @key{RET}}.  I'd probably also say "@code{nil} or
omitted".

Please also think about adding more indexing for these sections.